org.eclipse.rdf4j.query.algebra.evaluation.limited.iterator

## Class LimitedSizeSPARQLMinusIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<E,X>
    - - org.eclipse.rdf4j.common.iteration.FilterIteration<BindingSet,X>
      - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.SPARQLMinusIteration<QueryEvaluationException>
        - - org.eclipse.rdf4j.query.algebra.evaluation.limited.iterator.LimitedSizeSPARQLMinusIteration

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>

      public class LimitedSizeSPARQLMinusIteration
      extends SPARQLMinusIteration<QueryEvaluationException>

  Author:
    Jerven Bolleman, SIB Swiss Institute of Bioinformatics

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LimitedSizeSPARQLMinusIteration(Iteration<BindingSet,QueryEvaluationException> leftArg, Iteration<BindingSet,QueryEvaluationException> rightArg, AtomicLong used, long maxSize)` Creates a new MinusIteration that returns the results of the left argument minus the results of the right argument.
    `LimitedSizeSPARQLMinusIteration(Iteration<BindingSet,QueryEvaluationException> leftArg, Iteration<BindingSet,QueryEvaluationException> rightArg, boolean distinct, AtomicLong used, long maxSize)` Creates a new SPARQLMinusIteration that returns the results of the left argument minus the results of the right argument.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleClose()` After closing the set is cleared and any "used" capacity for collections is returned.
    `protected Set<BindingSet>` | `makeSet(Iteration<BindingSet,QueryEvaluationException> rightArg2)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.iterator.SPARQLMinusIteration

      `accept, clearExcludeSet, getRightArg, makeSet, makeSet`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.FilterIteration

      `hasNext, next`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### LimitedSizeSPARQLMinusIteration

          public LimitedSizeSPARQLMinusIteration(Iteration<BindingSet,QueryEvaluationException> leftArg,
                                                 Iteration<BindingSet,QueryEvaluationException> rightArg,
                                                 AtomicLong used,
                                                 long maxSize)

      Creates a new MinusIteration that returns the results of the left argument minus the results of the right argument. By default, duplicates are not filtered from the results.
      Parameters:
        `leftArg` - An Iteration containing the main set of elements.
        `rightArg` - An Iteration containing the set of elements that should be filtered from the main set. * @param used An atomic long used to monitor how many elements are in the set collections.
        `used` - An atomic long used to monitor how many elements are in the set collections.
        `maxSize` - Maximum size allowed by the sum of all collections used by the LimitedSizeQueryEvaluatlion.

    - #### LimitedSizeSPARQLMinusIteration

          public LimitedSizeSPARQLMinusIteration(Iteration<BindingSet,QueryEvaluationException> leftArg,
                                                 Iteration<BindingSet,QueryEvaluationException> rightArg,
                                                 boolean distinct,
                                                 AtomicLong used,
                                                 long maxSize)

      Creates a new SPARQLMinusIteration that returns the results of the left argument minus the results of the right argument.
      Parameters:
        `leftArg` - An Iteration containing the main set of elements.
        `rightArg` - An Iteration containing the set of elements that should be filtered from the main set.
        `distinct` - Flag indicating whether duplicate elements should be filtered from the result.
        `used` - An atomic long used to monitor how many elements are in the set collections.
        `maxSize` - Maximum size allowed by the sum of all collections used by the LimitedSizeQueryEvaluatlion.

  - ### Method Detail

    - #### makeSet

          protected Set<BindingSet> makeSet(Iteration<BindingSet,QueryEvaluationException> rightArg2)
                                     throws QueryEvaluationException

      Overrides:
        `makeSet` in class `SPARQLMinusIteration<QueryEvaluationException>`
      Throws:
        `QueryEvaluationException`

    - #### handleClose

          protected void handleClose()
                              throws QueryEvaluationException

      After closing the set is cleared and any "used" capacity for collections is returned.
      Overrides:
        `handleClose` in class `SPARQLMinusIteration<QueryEvaluationException>`
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.